angular.module('focaModalDetalleHojaRuta')
    .controller('focaModalDetalleHojaRutaController', 
        [
            '$filter',
            '$scope',
            '$uibModalInstance',
            'parametrosDetalleHojaRuta',
            function($filter, $scope, $uibModalInstance, parametrosDetalleHojaRuta) {
                $scope.paso = 0;
                $scope.parametrosDetalleHojaRuta = parametrosDetalleHojaRuta;
                $scope.aceptar = function() {
                    $uibModalInstance.close($scope.parametrosDetalleHojaRuta);
                };

                $scope.cancel = function() {
                    $uibModalInstance.dismiss('cancel');
                };
                
                $scope.validar = function() {
                    return $scope.formDetalleHojaRuta.$pristine ||
                        !$scope.parametrosDetalleHojaRuta.litrosDescargados ||
                        $scope.parametrosDetalleHojaRuta.litrosDescargados < 1 ||
                        !$scope.parametrosDetalleHojaRuta.numeroRecibo ||
                        $scope.parametrosDetalleHojaRuta.numeroRecibo < 1;
                };

                $scope.irPaso = function(paso) {
                    $scope.paso = paso;
                };
            }
        ]
    );
